Bug 159914 - Printer on cups often stop with status 1
Printer on cups often stop with status 1
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-09 04:06 EDT by Lutfi
Modified: 2008-02-11 19:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 19:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lutfi 2005-06-09 04:06:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
After upgrade from FC1 to FC3, printer often stop with 'status 1' on cups. 


Version-Release number of selected component (if applicable):
cups-1.1.22-0.rc1.8.5

How reproducible:
Sometimes

Steps to Reproduce:
Here the error.log with debug:

I [07/Jun/2005:14:55:35 +0700] Adding start banner page "none" to job 119565.
I [07/Jun/2005:14:55:35 +0700] Adding end banner page "none" to job 119565.
I [07/Jun/2005:14:55:35 +0700] Job 119565 queued on 'hplaserlt2' by 'FERICSEN'.
I [07/Jun/2005:17:02:50 +0700] Started backend /usr/lib/cups/backend/socket (PID 16976) for job 119565.
D [08/Jun/2005:08:47:12 +0700] LoadAllJobs: Loading attributes for job 119565...
D [08/Jun/2005:08:47:12 +0700] LoadAllJobs: Auto-typing document file d119565-001...
D [08/Jun/2005:08:47:12 +0700] StartJob(119565, 0xb80282d0)
D [08/Jun/2005:08:47:12 +0700] StartJob() id = 119565, file = 0/1
D [08/Jun/2005:08:47:12 +0700] StartJob: argv = "hplaserlt2","119565","FERICSEN","smbprn.00000005 https://localmail/src/read_body.php?mailbox=INBOX&passed_id","1","","/var/spool/cups/d119565-001"
I [08/Jun/2005:08:47:12 +0700] Started backend /usr/lib/cups/backend/socket (PID 24811) for job 119565.
D [08/Jun/2005:11:33:55 +0700] StopJob: id = 119565, force = 1
D [08/Jun/2005:11:33:57 +0700] LoadAllJobs: Loading attributes for job 119565...
D [08/Jun/2005:11:33:57 +0700] LoadAllJobs: Auto-typing document file d119565-001...
D [08/Jun/2005:11:33:57 +0700] StartJob(119565, 0xb80282d0)
D [08/Jun/2005:11:33:57 +0700] StartJob() id = 119565, file = 0/1
D [08/Jun/2005:11:33:57 +0700] StartJob: argv = "hplaserlt2","119565","FERICSEN","smbprn.00000005 https://localmail/src/read_body.php?mailbox=INBOX&passed_id","1","","/var/spool/cups/d119565-001"
I [08/Jun/2005:11:33:57 +0700] Started backend /usr/lib/cups/backend/socket (PID 27774) for job 119565.
I [08/Jun/2005:11:33:57 +0700] [Job 119565] Attempting to connect to host ps2 on port 9100
I [08/Jun/2005:11:33:57 +0700] [Job 119565] Connected to host, sending print job...
I [08/Jun/2005:11:33:57 +0700] [Job 119565] Sending print file, 8192 bytes...
...
d [08/Jun/2005:11:36:35 +0700] get_jobs: job->id = 119565
d [08/Jun/2005:11:36:35 +0700] add_job_state_reasons(0xb783f4a4[13], 119565)
d [08/Jun/2005:11:36:42 +0700] get_jobs: job->id = 119565
d [08/Jun/2005:13:01:58 +0700] add_job_state_reasons(0xb7837008[10], 119565)
d [08/Jun/2005:13:02:03 +0700] get_jobs: job->id = 119565
d [09/Jun/2005:14:47:48 +0700] get_jobs: job->id = 119565
I [09/Jun/2005:14:47:51 +0700] [Job 119565] Network host 'ps2' is busy; will retry in 30 seconds...
d [09/Jun/2005:14:48:02 +0700] get_jobs: job->id = 119565
...
d [09/Jun/2005:14:48:18 +0700] get_jobs: job->id = 119565
I [09/Jun/2005:14:48:24 +0700] [Job 119565] Network host 'ps2' is busy; will retry in 30 seconds...
d [09/Jun/2005:14:48:25 +0700] get_jobs: job->id = 119565


Additional info:
Comment 1 Lutfi 2005-06-09 04:13:24 EDT
Sorry, these other error.log:

I [07/Jun/2005:08:25:25 +0700] Adding start banner page "none" to job 119221.
I [07/Jun/2005:08:25:25 +0700] Adding end banner page "none" to job 119221.
I [07/Jun/2005:08:25:25 +0700] Job 119221 queued on 'epslq1170' by 'YUSLINA'.
D [07/Jun/2005:08:25:25 +0700] Job 119221 hold_until = 0
D [07/Jun/2005:08:25:25 +0700] StartJob(119221, 0xb801f898)
D [07/Jun/2005:08:25:25 +0700] StartJob() id = 119221, file = 0/1
D [07/Jun/2005:08:25:25 +0700] StartJob: argv =
"epslq1170","119221","YUSLINA","smbprn.00000002 (HPH DAILY ) JUNI
05.xls","1","","/var/spool/cups/d119221-001"
I [07/Jun/2005:08:25:25 +0700] Started backend /usr/lib/cups/backend/socket (PID
10566) for job 119221.
E [07/Jun/2005:08:28:04 +0700] [Job 119221] Unable to send print file to
printer: Connection reset by peer
D [07/Jun/2005:08:28:04 +0700] UpdateJob: job 119221, file 0 is complete.
D [07/Jun/2005:08:28:04 +0700] StopJob: id = 119221, force = 0
D [07/Jun/2005:08:39:07 +0700] StartJob(119221, 0xb801f898)
D [07/Jun/2005:08:39:07 +0700] StartJob() id = 119221, file = 0/1
D [07/Jun/2005:08:39:07 +0700] StartJob: argv =
"epslq1170","119221","YUSLINA","smbprn.00000002 (HPH DAILY ) JUNI
05.xls","1","","/var/spool/cups/d119221-001"
I [07/Jun/2005:08:39:07 +0700] Started backend /usr/lib/cups/backend/socket (PID
10708) for job 119221.
D [07/Jun/2005:08:40:34 +0700] UpdateJob: job 119221, file 0 is complete.
D [07/Jun/2005:08:40:34 +0700] CancelJob: id = 119221
D [07/Jun/2005:08:40:34 +0700] StopJob: id = 119221, force = 0
D [07/Jun/2005:08:55:09 +0700] LoadAllJobs: Loading attributes for job 119221...
D [07/Jun/2005:08:55:51 +0700] LoadAllJobs: Loading attributes for job 119221...
D [07/Jun/2005:11:00:24 +0700] LoadAllJobs: Loading attributes for job 119221...
D [07/Jun/2005:11:00:29 +0700] LoadAllJobs: Loading attributes for job 119221...
D [07/Jun/2005:11:00:41 +0700] LoadAllJobs: Loading attributes for job 119221...
----------
I [06/Jun/2005:14:41:48 +0700] Adding start banner page "none" to job 118947.
I [06/Jun/2005:14:41:48 +0700] Adding end banner page "none" to job 118947.
I [06/Jun/2005:14:41:48 +0700] Job 118947 queued on 'epslq218a' by 'LIA'.
D [06/Jun/2005:14:41:48 +0700] Job 118947 hold_until = 0
D [06/Jun/2005:14:41:48 +0700] StartJob(118947, 0xb8018580)
D [06/Jun/2005:14:41:48 +0700] StartJob() id = 118947, file = 0/1
D [06/Jun/2005:14:41:48 +0700] StartJob: argv =
"epslq218a","118947","LIA","smbprn.00009112 Seagate Crystal Reports -
Prb11","1","","/var/spool/cups/d118947-001"
I [06/Jun/2005:14:41:48 +0700] Started backend /usr/lib/cups/backend/socket (PID
20332) for job 118947.
E [06/Jun/2005:14:42:09 +0700] [Job 118947] Unable to send print file to
printer: Connection reset by peer
D [06/Jun/2005:14:42:09 +0700] UpdateJob: job 118947, file 0 is complete.
D [06/Jun/2005:14:42:09 +0700] StopJob: id = 118947, force = 0
D [06/Jun/2005:14:46:41 +0700] StartJob(118947, 0xb8018580)
D [06/Jun/2005:14:46:41 +0700] StartJob() id = 118947, file = 0/1
D [06/Jun/2005:14:46:41 +0700] StartJob: argv =
"epslq218a","118947","LIA","smbprn.00009112 Seagate Crystal Reports -
Prb11","1","","/var/spool/cups/d118947-001"
I [06/Jun/2005:14:46:41 +0700] Started backend /usr/lib/cups/backend/socket (PID
20419) for job 118947.
D [06/Jun/2005:14:46:59 +0700] UpdateJob: job 118947, file 0 is complete.
D [06/Jun/2005:14:46:59 +0700] CancelJob: id = 118947
D [06/Jun/2005:14:46:59 +0700] StopJob: id = 118947, force = 0
Comment 2 Tim Waugh 2005-06-09 04:26:26 EDT
You need to give me more information about:

1. What it is that you are doing
2. What you expect to happen as a result
3. What actually happens
Comment 3 Lutfi 2005-06-09 21:32:26 EDT
I use samba-3.0.10-1.fc3 for data and print server. And before upgrade to FC3,
i'm using FC1. Print server backend is CUPS with some HP jet direct. Never
problem before on FC1.

After upgrade to FC3, some printer on CUPS localsite (http://myservername:631)
often stop. And I have to start manually from CUPS localsite.

Why these happen? 
Comment 4 Matthew Miller 2006-07-10 16:54:17 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 petrosyan 2008-02-11 19:28:10 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.